## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate sequoia-keystore-gpg-agent

Name:           rust-sequoia-keystore-gpg-agent
Version:        0.4.0
Release:        %autorelease
Summary:        Gpg-agent backend for Sequoia's private key store

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-keystore-gpg-agent
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          sequoia-keystore-gpg-agent-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24
%if %{with check}
BuildRequires:  /usr/bin/gpgconf
%endif

%global _description %{expand:
A gpg-agent backend for Sequoia's private key store.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
# build with the default crypto backend (Nettle)
%cargo_build -f sequoia-openpgp/crypto-nettle

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Sep 17 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-1
- Update to version 0.4.0; Fixes RHBZ#2308268

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 15 2024 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-1
- Update to version 0.3.0; Fixes RHBZ#2281535

* Fri Jun 14 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.0-1
- Update to version 0.2.0

* Mon Apr 22 2024 Fabio Valentini <decathorpe@gmail.com> - 0.1.0-1
- Initial import (#2275925)
## END: Generated by rpmautospec
